Name:           links
Version:        2.13
Release:        1
Summary:        Web browser running in both graphics and text mode

Group:          Applications/Internet
License:        GPLv2+
URL:            http://links.twibright.com/
Source0:        http://links.twibright.com/download/%{name}-%{version}.tar.bz2
Source1:        links.desktop
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  patch

BuildRequires:  bzip2 >= 1.0.2-4
BuildRequires:  libpng-devel >= 1.6.26-1
BuildRequires:  libjpeg-devel >= 9b-2
BuildRequires:  libtiff-devel >= 4.0.6-2
BuildRequires:  openssl-devel >= 1.0.2j-2
BuildRequires:  xz-devel >= 5.2.2-1
BuildRequires:  zlib-devel >= 1.2.3-7

BuildRequires:  cairo-devel >= 1.12.18-1
BuildRequires:  glib2-devel >= 2.34.3-1
BuildRequires:  librsvg2-devel >= 2.34.2-1

Requires:       bzip2 >= 1.0.2-4
Requires:       libpng >= 1.6.26-1
Requires:       libjpeg >= 9b-2
Requires:       libtiff >= 4.0.6-2
Requires:       openssl >= 1.0.2j-2
Requires:       xz-libs >= 5.2.2-1
Requires:       zlib >= 1.2.3-7

Requires:       cairo >= 1.12.18-1
Requires:       glib2 >= 2.34.3-1
Requires:       librsvg2 >= 2.34.2-1

Requires:       coreutils

Provides:       webclient
Provides:       text-www-browser

%description
Links is a web browser capable of running in either graphics or text mode.
It provides a pull-down menu system, renders complex pages, has partial HTML
4.0 support (including tables, frames and support for multiple character sets
and UTF-8), supports color and monochrome terminals and allows horizontal
scrolling.


%prep
%setup -q
%patch0


%build
./configure \
    --prefix=%{_prefix} \
    --enable-graphics \
    --with-openssl=%{_prefix} \
    --with-x

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc doc/* AUTHORS TODO README COPYING
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Wed Nov 16 2016 Michael Perzl <michael@perzl.org> - 2.13-1
- updated to version 2.13

* Wed Nov 16 2016 Michael Perzl <michael@perzl.org> - 2.12-3
- recompiled against latest versions

* Fri Mar 04 2016 Michael Perzl <michael@perzl.org> - 2.12-2
- recompiled against latest versions

* Mon Dec 28 2015 Michael Perzl <michael@perzl.org> - 2.12-1
- updated to version 2.12

* Mon Dec 28 2015 Michael Perzl <michael@perzl.org> - 2.11-1
- updated to version 2.11

* Mon Dec 28 2015 Michael Perzl <michael@perzl.org> - 2.10-1
- updated to version 2.10

* Mon Dec 28 2015 Michael Perzl <michael@perzl.org> - 2.9-1
- updated to version 2.9

* Thu Mar 27 2014 Michael Perzl <michael@perzl.org> - 2.8-1
- updated to version 2.8

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 2.7-1
- updated to version 2.7

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 2.6-1
- updated to version 2.6

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 2.5-1
- updated to version 2.5

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 2.4-1
- updated to version 2.4

* Fri Nov 04 2011 Michael Perzl <michael@perzl.org> - 2.3-1
- first version for AIX V5.1 and higher
